petsc-3.4.2 2013-07-02

# SNESUpdateCheckJacobian

Checks each Jacobian computed by the nonlinear solver comparing the users function with a finite difference computation.

### Synopsis

    PetscErrorCode SNESUpdateCheckJacobian(SNES snes,PetscInt it)

### Options Database

| -snes_check_jacobian | - use this every time SNESSolve() is called
| -snes_check_jacobian_view | - Display difference between approximate and hand-coded Jacobian

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONLS, SNESNEWTONTR, SNESSolve()

Level:intermediate
Location:src/snes/impls/test/snestest.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages